Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.portlet
Class PortletMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
          org.jboss.portal.portlet.impl.metadata.portlet.PortletMetaData

    public class PortletMetaData

extends DescribableMetaData

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`PortletMetaData()`
`PortletMetaData(java.lang.String id)`

Method Summary
`void` | `addContainerRuntime(ContainerRuntimeMetaData containerRuntimeOption)`
`void` | `addInitParam(InitParamMetaData initParam)`
`void` | `addSecurityRoleRef(SecurityRoleRefMetaData securityRoleRef)`
`void` | `addSupport(SupportsMetaData support)`
`void` | `addSupportedLocale(SupportedLocaleMetaData supportedLocale)`
`void` | `addSupportedProcessingEvent(EventDefinitionReferenceMetaData eventRef)`
`void` | `addSupportedPublicRenderParameter(java.lang.String parameter)`
`void` | `addSupportedPublishingEvent(EventDefinitionReferenceMetaData eventRef)`
`PortletCacheScopeEnum` | `getCacheScope()`
`java.util.Map<java.lang.String,ContainerRuntimeMetaData>` | `getContainerRuntimeOptions()`
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`int` | `getExpirationCache()`
`java.lang.String` | `getId()`
`java.util.List<InitParamMetaData>` | `getInitParams()`
`PortletApplication10MetaData` | `getPortletApplication()` .
`java.lang.String` | `getPortletClass()`
`PortletInfoMetaData` | `getPortletInfo()`
`java.lang.String` | `getPortletName()`
`PortletPreferencesMetaData` | `getPortletPreferences()`
`java.lang.String` | `getResourceBundle()`
`java.util.List<SecurityRoleRefMetaData>` | `getSecurityRoleRef()`
`java.util.List<SupportedLocaleMetaData>` | `getSupportedLocale()`
`java.util.List<EventDefinitionReferenceMetaData>` | `getSupportedProcessingEvent()`
`java.util.List<java.lang.String>` | `getSupportedPublicRenderParameters()`
`java.util.List<EventDefinitionReferenceMetaData>` | `getSupportedPublishingEvent()`
`java.util.List<SupportsMetaData>` | `getSupports()`
`void` | `setCacheScope(PortletCacheScopeEnum cacheScope)`
`void` | `setContainerRuntimeOptions(java.util.Map<java.lang.String,ContainerRuntimeMetaData> containerRuntimeOptions)`
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayNames)`
`void` | `setExpirationCache(int expirationCache)`
`void` | `setId(java.lang.String id)`
`void` | `setInitParams(java.util.List<InitParamMetaData> initParams)`
`void` | `setPortletApplication(PortletApplication10MetaData portletApplication)`
`void` | `setPortletClass(java.lang.String portletClass)`
`void` | `setPortletInfo(PortletInfoMetaData portletInfo)`
`void` | `setPortletName(java.lang.String portletName)`
`void` | `setPortletPreferences(PortletPreferencesMetaData portletPreferences)`
`void` | `setResourceBundle(java.lang.String resourceBundle)`
`void` | `setSecurityRoleRef(java.util.List<SecurityRoleRefMetaData> securityRoleRef)`
`void` | `setSupportedLocale(java.util.List<SupportedLocaleMetaData> supportedLocale)`
`void` | `setSupportedProcessingEvent(java.util.List<EventDefinitionReferenceMetaData> supportedProcessingEvent)`
`void` | `setSupportedPublicRenderParameters(java.util.List<java.lang.String> supportedPublicRenderParameters)`
`void` | `setSupportedPublishingEvent(java.util.List<EventDefinitionReferenceMetaData> supportedPublishingEvent)`
`void` | `setSupports(java.util.List<SupportsMetaData> supports)`

Methods inherited from class org.jboss.portal.portlet.impl.metadata.common.DescribableMetaData
`getDescription, setDescription`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletMetaData

    public PortletMetaData()

### PortletMetaData

    public PortletMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getPortletName

    public java.lang.String getPortletName()

### setPortletName

    public void setPortletName(java.lang.String portletName)

### getPortletClass

    public java.lang.String getPortletClass()

### setPortletClass

    public void setPortletClass(java.lang.String portletClass)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayNames)

### getInitParams

    public java.util.List<InitParamMetaData> getInitParams()

### setInitParams

    public void setInitParams(java.util.List<InitParamMetaData> initParams)

### addInitParam

    public void addInitParam(InitParamMetaData initParam)

### getExpirationCache

    public int getExpirationCache()

### setExpirationCache

    public void setExpirationCache(int expirationCache)

### getCacheScope

    public PortletCacheScopeEnum getCacheScope()

### setCacheScope

    public void setCacheScope(PortletCacheScopeEnum cacheScope)

### getSupports

    public java.util.List<SupportsMetaData> getSupports()

### setSupports

    public void setSupports(java.util.List<SupportsMetaData> supports)

### addSupport

    public void addSupport(SupportsMetaData support)

### getSupportedLocale

    public java.util.List<SupportedLocaleMetaData> getSupportedLocale()

### setSupportedLocale

    public void setSupportedLocale(java.util.List<SupportedLocaleMetaData> supportedLocale)

### addSupportedLocale

    public void addSupportedLocale(SupportedLocaleMetaData supportedLocale)

### getResourceBundle

    public java.lang.String getResourceBundle()

### setResourceBundle

    public void setResourceBundle(java.lang.String resourceBundle)

### getPortletInfo

    public PortletInfoMetaData getPortletInfo()

### setPortletInfo

    public void setPortletInfo(PortletInfoMetaData portletInfo)

### getPortletPreferences

    public PortletPreferencesMetaData getPortletPreferences()

### setPortletPreferences

    public void setPortletPreferences(PortletPreferencesMetaData portletPreferences)

### getSecurityRoleRef

    public java.util.List<SecurityRoleRefMetaData> getSecurityRoleRef()

### setSecurityRoleRef

    public void setSecurityRoleRef(java.util.List<SecurityRoleRefMetaData> securityRoleRef)

### addSecurityRoleRef

    public void addSecurityRoleRef(SecurityRoleRefMetaData securityRoleRef)

### getSupportedProcessingEvent

    public java.util.List<EventDefinitionReferenceMetaData> getSupportedProcessingEvent()

### setSupportedProcessingEvent

    public void setSupportedProcessingEvent(java.util.List<EventDefinitionReferenceMetaData> supportedProcessingEvent)

### addSupportedProcessingEvent

    public void addSupportedProcessingEvent(EventDefinitionReferenceMetaData eventRef)

### getSupportedPublishingEvent

    public java.util.List<EventDefinitionReferenceMetaData> getSupportedPublishingEvent()

### setSupportedPublishingEvent

    public void setSupportedPublishingEvent(java.util.List<EventDefinitionReferenceMetaData> supportedPublishingEvent)

### addSupportedPublishingEvent

    public void addSupportedPublishingEvent(EventDefinitionReferenceMetaData eventRef)

### getSupportedPublicRenderParameters

    public java.util.List<java.lang.String> getSupportedPublicRenderParameters()

### setSupportedPublicRenderParameters

    public void setSupportedPublicRenderParameters(java.util.List<java.lang.String> supportedPublicRenderParameters)

### addSupportedPublicRenderParameter

    public void addSupportedPublicRenderParameter(java.lang.String parameter)

### getContainerRuntimeOptions

    public java.util.Map<java.lang.String,ContainerRuntimeMetaData> getContainerRuntimeOptions()

### setContainerRuntimeOptions

    public void setContainerRuntimeOptions(java.util.Map<java.lang.String,ContainerRuntimeMetaData> containerRuntimeOptions)

### addContainerRuntime

    public void addContainerRuntime(ContainerRuntimeMetaData containerRuntimeOption)

### getPortletApplication

    public PortletApplication10MetaData getPortletApplication()

  .

### setPortletApplication

    public void setPortletApplication(PortletApplication10MetaData portletApplication)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.